%define upstream_name    CSS-Squish
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Compact many CSS files into one big file 
License:	Artistic or GPL+
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(URI)
BuildArch:      noarch


%description
This module takes a list of CSS files and concatenates them, making sure to 
honor any valid @import statements included in the files.

Following the CSS 2.1 spec, @import statements must be the first rules in 
a CSS file. Media-specific @import statements will be honored by enclosing 
the included file in an @media rule. This has the side effect of actually 
improving compatibility in Internet Explorer, which ignores media-specific 
@import rules but understands @media rules.

It is possible that feature versions will include methods to compact 
whitespace and other parts of the CSS itself, but this functionality 
is not supported at the current time.

%prep
%setup -q -n CSS-Squish-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES README META.yml
%{perl_vendorlib}/CSS/
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-11.mga10
+ Revision: 2211731
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.100.0-10.mga9
+ Revision: 1829927
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-9.mga8
+ Revision: 1493627
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-8.mga7
+ Revision: 1266817
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1024723
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 931964
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 742086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683717
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509523
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 363721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 29578
- mageia rebuild
- imported package perl-CSS-Squish


* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 595092
- update to new version 0.10

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 491624
- update to 0.09

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 405958
- rebuild using %%perl_convert_version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 373003
- new version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.07-3mdv2009.0
+ Revision: 256383
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.1
+ Revision: 107974
- update to new version 0.07

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.1
+ Revision: 106811
- update to new version 0.06


* Thu Dec 14 2006 Michael Scherer <misc@mandriva.org> 0.05-1mdv2007.0
+ Revision: 97024
- Import perl-CSS-Squish

* Thu Dec 14 2006 Michael Scherer <misc@mandriva.org> 0.05-1mdv2007.1
- First Mandriva package

